#version 130

uniform sampler2D mytexture;

in vec4 theColor;
in vec4 fpos;
in vec2 fragTextCoord;
uniform int useTexture;

out vec4 fragColor;
void main() 
{
 	if(useTexture == 1)
 	{
 		// texture color
 		vec4 tx = texture(mytexture, fragTextCoord);
 		
 		// alpha blending
 		fragColor = vec4(tx.a) * tx + vec4(1.0 - tx.a) * theColor;
 		
 	}
 	else
 	{
    if (theColor.w == 1.0)
    {
    	// solid color
    	fragColor = theColor;
    }
    else if (theColor.w == 0.0)
    {
        // invisible color
    	discard;
    }
    else
    {
        // alpha blended
	    if( ( int((1+fpos.x)*1024) % 2 == 0 ) && ( int((1+fpos.y)*1024) % 2 == 0))
	    {
	    	discard;
	    }
	    else
	    {
	    	fragColor = theColor;
	    }
    } 
    }
}